Loading...
Searching...
No Matches
fr_ecu_state Struct Reference

## Data Fields

struct osmo_ecu_state | ecu_state
enum ecu_principal_state | pr_state
uint8_t | speech_frame [GSM_FR_BYTES]
uint8_t | sid_prefix [SID_PREFIX_LEN]
uint8_t | sid_xmaxc
uint8_t | sid_reemit_count
struct osmo_prbs_state | prng
bool | last_input_was_sid

## Field Documentation

## ecu_state

struct osmo_ecu_state fr_ecu_state::ecu_state

Referenced by _osmo_ecu_state_get_fr(), and ecu_fr_init().

## last_input_was_sid

bool fr_ecu_state::last_input_was_sid

Referenced by ecu_fr_is_dtx_pause(), and fr_ecu_input().

## pr_state

enum ecu_principal_state fr_ecu_state::pr_state

Referenced by ecu_fr_init(), fr_ecu_input(), and fr_ecu_output().

## prng

struct osmo_prbs_state fr_ecu_state::prng

Referenced by ecu_fr_init(), and random_grid_pos().

## sid_prefix

uint8_t fr_ecu_state::sid_prefix[SID_PREFIX_LEN]

Referenced by fr_ecu_input(), and reemit_sid().

## sid_reemit_count

uint8_t fr_ecu_state::sid_reemit_count

Referenced by fr_ecu_input(), and fr_ecu_output().

## sid_xmaxc

uint8_t fr_ecu_state::sid_xmaxc

Referenced by fr_ecu_input(), reduce_xmaxc_sid(), and reemit_sid().

## speech_frame

uint8_t fr_ecu_state::speech_frame[GSM_FR_BYTES]

Referenced by fr_ecu_input(), and fr_ecu_output().

The documentation for this struct was generated from the following file:

- src/codec/ecu_fr.c